Bug 149481 - remote season bar status minimize size close
Summary: remote season bar status minimize size close
Status: RESOLVED FIXED
Alias: None
Product: krdc
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Urs Wolfer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-02 16:50 UTC by Claus Rebler
Modified: 2008-03-09 01:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Claus Rebler 2007-09-02 16:50:30 UTC
Version:            (using KDE Devel)
Installed from:    Compiled sources

integrate the Season Bar with the IP
minimize button
windows size button
and season close button

pictures:
http://www.solo-technology.com/blog/wp-content/uploads/2007/06/image1.png
http://www2002.org/CDROM/refereed/577/refresh_rdp2.png
Comment 1 Urs Wolfer 2007-09-02 20:36:16 UTC
Do you talk about the KDE4 version of KRDC?

If you do, you have probably missed the window-size and close (a.k.a logout) buttons.

The others things:
* Address in title
* minimize button
are on my TODO list.
Comment 2 Urs Wolfer 2007-09-29 14:34:41 UTC
SVN commit 718652 by uwolfer:

Implement possibility to minimize the fullscreen window:
#1: button in fullscreen toolbar
#2: magic invisible pixel in the right top: rightclick minimizes the window. This is available even when the fullscreen toolbar is hidden. I have seen this idea in the nomachine NX client and liked it from the first second :)

CCBUG: 149481

 M  +10 -1     mainwindow.cpp  
 M  +26 -0     mainwindow.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=718652
Comment 3 Urs Wolfer 2008-03-09 01:19:51 UTC
SVN commit 783644 by uwolfer:

FloatingToolBar inherits now from QToolBar instead of QWidget:
* possibility to add widgets to the toolbar
* all size calculation is done by QToolBar now (-> less code)

Show URL of current session in toolbar.
FEATURE:149481

 M  +37 -84    floatingtoolbar.cpp  
 M  +11 -11    floatingtoolbar.h  
 M  +20 -0     mainwindow.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=783644